LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices

Reply
 
Search this Thread
Old 10-13-2006, 05:11 AM   #1
kram101
LQ Newbie
 
Registered: Oct 2006
Posts: 3

Rep: Reputation: 0
mandriva 2007 kernel problem


Hi guys

I have just upgraded from 2006 to 2007; however I can't upgrade the kernel. I'm currently running 2.6.11-13mdk-i586. I have tried to install 2.6.17-5 and 2.6.12-12 and in both cases I get the following complaint

error: Failed dependencies:
kernel < 2.6.9 conflicts with glibc-2.4-4mdk.i586

This makes no sense to me. Am hoping someone has an idea what is wrong here as I don't fancy doing a clean install.

cheers
 
Old 10-13-2006, 07:50 AM   #2
aus9
Guru
 
Registered: Oct 2003
Posts: 5,056

Rep: Reputation: Disabled
umm it is generally better to do a clean install rather than an upgrade to avoid clashes with different libraries and such dependencies.

back up and data and I suggest do a clean ?
 
Old 10-13-2006, 09:38 AM   #3
kram101
LQ Newbie
 
Registered: Oct 2006
Posts: 3

Original Poster
Rep: Reputation: 0
Cheers but I'd prefer not to do that if at all possible, any other suggestions?????????
 
Old 10-13-2006, 11:46 AM   #4
kram101
LQ Newbie
 
Registered: Oct 2006
Posts: 3

Original Poster
Rep: Reputation: 0
figured it out!!!!

It appears that the 2.6.17 kernel was originally installed; however lilo -v was not run, hence the schamooozle, or at least when i re-updated the system and ran lilo everything is now ok!!!

ahhh the fun and games of upgrading mandrake

cheers for the help anyhow
 
Old 10-14-2006, 01:37 AM   #5
aus9
Guru
 
Registered: Oct 2003
Posts: 5,056

Rep: Reputation: Disabled
jump into the sea sometime and try grub....you install grub into mbr once and then edit the menu file called /boot/grub/menu.lst to make any changes......if you run a vanilla kernel...the last command make install could auto link your new kernel to vmlinuz.

each time you make a change with lilo you have to re-embed lilo with the command
lilo -v -v -v to be sure to be sure (no duplicates in my command)

just a thought now that I know you are in lilo land, heh heh
 
Old 03-08-2007, 05:48 AM   #6
leonov
LQ Newbie
 
Registered: Mar 2007
Posts: 2

Rep: Reputation: 0
I'm having the same problem

I upgraded from Mandrake Linux 10 and I am trying to use the Control Center to install updates. I have tried various kernel patches like
 
Old 03-08-2007, 05:59 AM   #7
leonov
LQ Newbie
 
Registered: Mar 2007
Posts: 2

Rep: Reputation: 0
I'm having the same problem

I upgraded from Mandrake Linux 10 and I am trying to use the Control Center to install updates. I have tried various kernel patches like kernel-2.6.17.11mdv-1-1mdv2007.0 and it keeps on giving me the message

kernel < 2.6.9 conflicts with glibc-2.4-4mdk.i586

but when I look in /boot everything is linked to 2.6.17.5 stuff e.g. vmlinux is linked to vmlinuz-2.6.17-5mdv. I am also not using lilo but I am using grub. I have no idea where the control center obtains its incorrect version information. Any ideas?

L
 
Old 03-09-2007, 03:22 AM   #8
ernie
Senior Member
 
Registered: Nov 2001
Location: Toledo, Ohio - USA
Distribution: Mageia 1
Posts: 1,079
Blog Entries: 4

Rep: Reputation: 70
leonov,

If your kernel update error refers to glibc-2.4-4mdk.i586, this is possibly caused by the following:

Quote:
You updated to Mandriva Linux 2007.0 using the install DVD (or possibly the four CD set).

The install disk includes glibc-2.4-4mdk.i586

The update kernel packages depend on glibc-2.4-7mdk.i586

glibc-2.4-7mdk.i586 is available on the Mandriva ftp mirrors in the main software media source.
If you have a fast Internet connection, the solution to your problem may be as simple as setting up the Internet Software Media Sources for use with the Mandriva Linux Package Manager. Go to Easy URPMI and follow the directions on the WEB site.

HTH,
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
mandriva 2007 mysqd problem karan101 Linux - Server 8 11-22-2006 04:17 AM
Mandriva 2007 Intel ipw2200 wireless problem, and question on i915 and Xorg thunderweasel Mandriva 1 10-07-2006 12:53 AM
Mandriva 2007 Info! Cobra243 Mandriva 3 10-06-2006 05:47 PM
Mandriva 2007 and Slackware 11.0 Out! w3bd3vil Mandriva 14 10-06-2006 09:32 AM


All times are GMT -5. The time now is 11:48 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration